/* replfuns.h: interface to standard functions replaced by our .so */

/* exported by libc -- note: netproto.c needs modification if  */
/* __libc_write and __libc_read are not exported               */

extern int __libc_open (const char *, int, int);
extern int __libc_close (int);
extern int __libc_write (int, const void *, unsigned);
extern int __libc_read  (int, void *, unsigned);
extern off_t __libc_lseek(int fd, off_t offset, int whence);
   
/* not exported */

extern int (*__ioctl_ptr) (int, int request, ...);
#define __libc_ioctl (*__ioctl_ptr)
   